<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.undertow.servlet-container.setting.jsp">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="check-interval,development,disabled,display-source-fragment,dump-smap,error-on-use-bean-invalid-class-attribute,generate-strings-as-char-arrays,java-encoding,keep-generated,mapped-file,modification-test-interval,optimize-scriptlets,recompile-on-fail,scratch-dir,smap,source-vm,tag-pooling,target-vm,trim-spaces,x-powered-by"/>
        <elem name="addr-params" value="profile,subsystem,servlet-container,setting"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <refs>
        <ref feature="subsystem.undertow.servlet-container"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="development" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="optimize-scriptlets" nillable="true"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="servlet-container" feature-id="true"/>
        <param name="check-interval" nillable="true"/>
        <param name="source-vm" nillable="true"/>
        <param name="java-encoding" nillable="true"/>
        <param name="keep-generated" nillable="true"/>
        <param name="trim-spaces" nillable="true"/>
        <param name="modification-test-interval" nillable="true"/>
        <param name="setting" feature-id="true" default="jsp"/>
        <param name="generate-strings-as-char-arrays" nillable="true"/>
        <param name="target-vm" nillable="true"/>
        <param name="display-source-fragment" nillable="true"/>
        <param name="tag-pooling" nillable="true"/>
        <param name="recompile-on-fail" nillable="true"/>
        <param name="dump-smap" nillable="true"/>
        <param name="x-powered-by" nillable="true"/>
        <param name="disabled" nillable="true"/>
        <param name="mapped-file" nillable="true"/>
        <param name="scratch-dir" nillable="true"/>
        <param name="error-on-use-bean-invalid-class-attribute" nillable="true"/>
        <param name="smap" nillable="true"/>
    </params>
</feature-spec>